package com.xxfc.platform.app.mapper;

import com.xxfc.platform.app.entity.AppVersionMark;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.sql.Timestamp;
import java.util.List;

/**
 * AppVersionMark  Mapper
 *
 * @author zyh
 * @date 2020/1/10
 */
public interface AppVersionMarkMapper extends Mapper<AppVersionMark> {
    int queryIsMark(@Param("mark") String mark);
    int queryIsMarkNew(@Param("mark") String mark);

    void updAppVersionMark(@Param("markName") String markName,
                           @Param("markRemark") String markRemark,
                           @Param("isDel") Integer isDel,
                           @Param("id") Integer id,
                           @Param("updTime") Timestamp updTime);

    List<AppVersionMark> findVersionAppMark(@Param("mark") String mark);

    int findIosOrAndroidVersionAppMark(@Param("id") Integer id);

    List<AppVersionMark> findListVersionAppMark();

    List<AppVersionMark > queryListForUserMember();
}
